Package com.xebialabs.xlrelease.domain.events

# Class AttachmentCreatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.AttachmentCreatedEvent

All Implemented Interfaces:
  `AttachmentEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class AttachmentCreatedEvent extends Object implements AttachmentEvent, scala.Product, Serializable
Event published when an attachment is created. Attachments are always added to a release, but task attachments are also linked to from tasks. Therefore this event also contains the container ID to easily determine if it is a release or task attachment. param: containerId the ID of the task or release in which the attachment was created. param: attachment the created attachment.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentCreatedEvent(String containerId, Attachment attachment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AttachmentCreatedEvent`
  `apply(String containerId, Attachment attachment)`
  `Attachment`
  `attachment()`
  `boolean`
  `canEqual(Object x$1)`
  `String`
  `containerId()`
  `AttachmentCreatedEvent`
  `copy(String containerId, Attachment attachment)`
  `String`
  `copy$default$1()`
  `Attachment`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,Attachment>>`
  `unapply(AttachmentCreatedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### AttachmentCreatedEvent

    public AttachmentCreatedEvent(String containerId, Attachment attachment)

- ## Method Details

  - ### apply

    public static AttachmentCreatedEvent apply(String containerId, Attachment attachment)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,Attachment>> unapply(AttachmentCreatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### containerId

    public String containerId()

  - ### attachment

    public Attachment attachment()

  - ### copy

    public AttachmentCreatedEvent copy(String containerId, Attachment attachment)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public Attachment copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`